Get claim instructions
The
context7.json to publish to claim a library for this teamspace, with the teamspace’s public key. The library need not belong to the teamspace yet. Publish the file, then call the verify operation.1 min read
get/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim
Request example
Response
get/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/claim
Authorization
Path parameters
Teamspace id (uuid).
First segment of the library id
/owner/repo (for example vercel in /vercel/next.js, websites in /websites/docs_example_com). Case-insensitive.Second segment of the library id
/owner/repo. Case-insensitive.Responses
application/json
Claim instructions
Some teamspace has claimed the library.
This teamspace has claimed it.
repository: commit the file to the root of the repository's default branch. hostedFile: host it anywhere under hostUnder (websites, llms.txt, OpenAPI).Options:
repositoryhostedFileThe repository to commit to (
repository).The file's URL must start with this URL (
hostedFile).The teamspace's public key.
Options:
context7.jsonThe file to publish, as text.